Subject: bug#53626: 28.0.91; project-find-regexp (C-x p g) twice results in searching different projects

From: Dmitry Gutov <[email-masked]>
Date: Thu, 3 Feb 2022 15:58:48 +0200

On 03.02.2022 15:28, Spencer Baugh wrote:
> Dmitry Gutov <[email-masked]> writes:
>> This sounds like something that was fixed in commit b99848c72cb2570c
>> (meaning, about a year ago).
>>
>> I have tried to quickly reproduce this in my build from master, and
>> hadn't managed to.
>>
>> How recent is Emacs that you're trying this in? Do you perhaps have an
>> older version of project.el or xref installed through ELPA?
>>
>> Or did you maybe use project-switch-project, doing a search from its
>> menu, like Sean seems to be hinting?
> 
> You're exactly right, the bug is only on an old Emacs.  I can't
> reproduce it on a recent version.  My apologies, I thought I had repro'd
> it on recent Emacs before submitting this.

Thanks for checking.

If you're running an older Emacs (27 or older), you should be able to 
install the latest versions of project.el and xref from GNU ELPA to 
avoid this problem.